Subject: bug#59087: 29.0.50; package-vc-update error

From: Feng Shu <[email-masked]>
Date: Thu, 17 Nov 2022 08:43:01 +0800

Philip Kaludercic <[email-masked]> writes:

> Feng Shu <[email-masked]> writes:
>
>> Philip Kaludercic <[email-masked]> writes:
>>
>>> Feng Shu <[email-masked]> writes:
>>>
>>>> Philip Kaludercic <[email-masked]> writes:
>>>>
>>>>> Feng Shu <[email-masked]> writes:
>>>>>
>>>>>> Philip Kaludercic <[email-masked]> writes:
>>>>>>
>>>>>>> Thank you for all these stack traces, I have managed to reproduce and
>>>>>>> resolve all the mistakes -- at least on my end.  The new state is still
>>>>>>> on scratch/package-vc-fixes.
>>>>>>>
>>>>>>
>>>>>> Ok, new info :-)
>>>>>>
>>>>>> 1. package-vc-update is unusable when first run emacs.
>>>>>
>>>>> Unusable in what sense?  The command is not auto-loaded, so you need to
>>>>>
>>>>>   M-x load-library RET package-vc RET
>>>>>
>>>>> first.
>>>>
>>>> Yes, I mean command is not auto-loaded :-)
>>>
>>> Do you think we should make it such?  The command is strictly speaking
>>> not necessary, because package-update does the same thing.
>>
>> If so, package-update is enough.
>
> I will add a comment in the docstring to clarify this point.

I have found another issue:

If I run package-update when emacs first start, it will show error:

package-update: Symbol’s function definition is void: package-vc-update

--